List Transactions
curl --request GET \
--url https://api.bridge.com.do/accounts/{accountId}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'X-Scoped-Token: <x-scoped-token>'import requests
url = "https://api.bridge.com.do/accounts/{accountId}/transactions"
headers = {
"X-Scoped-Token": "<x-scoped-token>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Scoped-Token': '<x-scoped-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.bridge.com.do/accounts/{accountId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"id": "txn_ckB4a8Ly6PojhwoT",
"accountId": "acc_zP2oiEAvu7LnuUVc",
"amount": 123,
"date": "2024-12-28",
"description": "<string>",
"transactionRefresh": "txr_01J8XGKZP8K9V7J552EPPD89HM",
"reference": "<string>"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "MTczNTM4MzAwMDAwMC50eG5fYWJjMTIz"
}
}Referencia
List Transactions
Listar todas las transacciones de una cuenta.
GET
/
accounts
/
{accountId}
/
transactions
List Transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Identificador de la cuenta que desea buscar transacciones.
Query Parameters
Cursor de paginación para obtener la siguiente página de resultados.
Número máximo de transacciones a retornar (1-1000). Por defecto retorna todas.
Filtrar transacciones que hayan sido actualizadas o creadas luego del cursor de actualización. Por ejemplo, txr_01J8XGKZP8K9V7J552EPPD89HM.
Filtrar transacciones por su fecha. Las fechas deben estar en formato YYYY-MM-DD.
Show child attributes
Show child attributes
⌘I